summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-video/ffdiaporama
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-video/ffdiaporama')
-rw-r--r--media-video/ffdiaporama/Manifest8
-rw-r--r--media-video/ffdiaporama/ffdiaporama-1.5.ebuild56
-rw-r--r--media-video/ffdiaporama/ffdiaporama-1.6.ebuild65
-rw-r--r--media-video/ffdiaporama/ffdiaporama-2.0.1.ebuild75
-rw-r--r--media-video/ffdiaporama/ffdiaporama-2.1.ebuild78
-rw-r--r--media-video/ffdiaporama/files/ffdiaporama-1.6-ffmpeg-2.0.patch32
-rw-r--r--media-video/ffdiaporama/files/ffdiaporama-2.0-libav9-deinterlacing.patch26
-rw-r--r--media-video/ffdiaporama/files/ffdiaporama-2.1-ffmpeg-2.4.patch16
-rw-r--r--media-video/ffdiaporama/metadata.xml50
9 files changed, 406 insertions, 0 deletions
diff --git a/media-video/ffdiaporama/Manifest b/media-video/ffdiaporama/Manifest
new file mode 100644
index 00000000000..553fda7b49e
--- /dev/null
+++ b/media-video/ffdiaporama/Manifest
@@ -0,0 +1,8 @@
+DIST ffDiaporama-texturemate_1.0.tar.gz 60772371 SHA256 673db4e8603551970892e9b9eae28de12d190285cd7d2ba49c3b9a6c0d9df0fb SHA512 bd93c153d6f5740540b822fe73f765c3ce6e7a886894d70dd5f9c7d23a59b3f0bd2ccb1109fc2af0529fe37aaca1c8f2e0bb2807b40c2ee8dfd213d0221d2536 WHIRLPOOL 661a6085ab6d888945a631ef805dbede65f1ea2e05037d368c3070a16dd15ae62e4b22ba4416c00284686aa9dbd2e72bf9c88d27296737920a84cd85bc44d7d9
+DIST ffdiaporama_1.5.tar.gz 14576632 SHA256 9a7090d57da3383b47d44347f519092cbd3a5a62ba84f7493b2fdeb551c951bd SHA512 59967f0a43d70e963eb104514fadd34e166e16519dcb7f58056ee8be10f4d08065fab30a94cbe75c39e796e39b387e9522d9616d3b317363e6ab332f2e3512ae WHIRLPOOL e08fdc5413d8fd23a7734056f9f338818f8263271404546613502043f85439155f73204fe8a1328dc256edd821ac057c5d57077291b7044d4a289340776b261e
+DIST ffdiaporama_1.6.tar.gz 15708389 SHA256 b82c125b22f15c343cf87e5ad83e86e5278e25dc74385a9a39a5fe896d411d66 SHA512 5fa05afdb317531b13a8788e7b37816c780de0bc56b6c25a5d9d0ef4b5c6c8126b3af23d37d41d970c97c0ffe9a21d5ae87cfb99a414abc8d65be87262f8c436 WHIRLPOOL 3da97f9fa7fc4b1a483813e89f783d6490722900f104f817ad62aad5717f3ce16b5b0732bc990fbd2371b301433dfd00eea3ec374587a1687f2d7fca1516709f
+DIST ffdiaporama_2.0.1.tar.gz 36140512 SHA256 a3447a3e48b3988b4addf42938ba9d09b9c8be940ac969659637d8fb3af82729 SHA512 72152a1e6b2f770e8dcb9f893a19cb4521056e195deb805df96aebe9344f32e74a8fae17426e2896b8dae5b1263526ffd3bdc17269103bb8efdff9fb59164e1b WHIRLPOOL 121151b36ef615116c7e147e9c24fa268cb9aa196457bfbfaaaa13af37279ed0dd27da936c5d980dbd0d40c1440753c8daf774e12bcb1def267d075709cbf2dd
+DIST ffdiaporama_bin_2.1.2014.0209.tar.gz 16063604 SHA256 a1f55367a3d915045a5f4ce5db20419c2e8ea26a8cd4d56bef2e3d525e55acaa SHA512 40fc40ae8f09d311dc615051bd0bc4573f1f9ab5abe06032e161b759194c772b43c337902baf9c5a1eb027796fcdecc2fc20dce5d998091e6ccf8f696149223d WHIRLPOOL 0cc1b7343bef904e6b89bda4d9fc17066ca1e9aff4beccf0a8b615c7e42a7a84d9cb7f582c6799bfc2e4a1398ad71f8398920ff1f57c2f60cf03ac12a66ce241
+DIST ffdiaporama_rsc_2.1.2014.0209.tar.gz 17669845 SHA256 965bb1506531f7b5214d9003019aff410107908f4837fe7f2a1fcbd2e55c4447 SHA512 910b2139eb1b97a86c8d795b65255f723e346b3b4ce805878835813f9b21c7b606f811488f9099003a0e0951006df6d32663f1d8be2ffe1c355cf9311ac4be19 WHIRLPOOL 1d9ecdb96df47785b146156c54ba1a9a80e3e5ec03b9ad9c4ca08bab17fd5738d20cf7a75247840c2c08af6feca75a14974f4602b8f73736080634644be15e9e
+DIST ffdiaporama_texturemate_1.0.2014.0125.tar.gz 30352923 SHA256 47ef9a0391baa4dd145a4c9c39590afb3c7a2857da4a8fa7c74bd081f52a0417 SHA512 e9aa9607d670a620b2e3c27d6ec5bf983eb31ab3d3139edf32ebb84d9ffa58b11c822f7db4b3f3c4a430b256719803df4a3a385bd467bdda09f8710d010eb2f5 WHIRLPOOL 00b22bfcaf6d5a698fe2d0f38d6578d027ca8451707bf49edecfca0ea6b181202e05cc5d13b32d9090825b4bde5eba509f1fd4e7a68d19dab7d2440b2eaa420e
+DIST openclipart-0.18-svgonly.tar.bz2 82108957 SHA256 57572d443439759b0347da95a5457f988048976c7e13d70a09894cdee412be29 SHA512 71ad11fd2e94f4c3d560ff0fa6e0cee70ec2c8506fd4c4d7a4b7a0db25480aaca9b36d0e91862cf05347be5caa614bfb528bdfdb151342e28efba31d9a8b0473 WHIRLPOOL 151dafd9ce46cdeb2a203bec3960a81043b9ee0ba5afe508b3090dd073ddbdd0cb96d29277e814dec2b7218d3017db9820aa7a429d91ecbf2ecb1f08fd28b664
diff --git a/media-video/ffdiaporama/ffdiaporama-1.5.ebuild b/media-video/ffdiaporama/ffdiaporama-1.5.ebuild
new file mode 100644
index 00000000000..7737de35014
--- /dev/null
+++ b/media-video/ffdiaporama/ffdiaporama-1.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils fdo-mime gnome2-utils qt4-r2
+
+DESCRIPTION="Movie creator from photos and video clips"
+HOMEPAGE="http://ffdiaporama.tuxfamily.org"
+SRC_URI="http://download.tuxfamily.org/${PN}/Archives/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="media-gfx/exiv2
+ media-libs/libsdl[sound]
+ media-libs/qimageblitz
+ media-libs/taglib
+ virtual/ffmpeg[encode]
+ >=dev-qt/qtcore-4.8:4
+ >=dev-qt/qtgui-4.8:4"
+DEPEND="${RDEPEND}"
+
+DOCS=( authors.txt )
+
+src_unpack() {
+ # S=${WORKDIR} would result in unremoved files in
+ # ${WORKDIR}/../build
+ mkdir ${P} || die
+ cd ${P} || die
+ unpack ${A}
+}
+
+src_install() {
+ qt4-r2_src_install
+ doicon -s 32 ffdiaporama.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
diff --git a/media-video/ffdiaporama/ffdiaporama-1.6.ebuild b/media-video/ffdiaporama/ffdiaporama-1.6.ebuild
new file mode 100644
index 00000000000..5606f26fbbf
--- /dev/null
+++ b/media-video/ffdiaporama/ffdiaporama-1.6.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils fdo-mime gnome2-utils qt4-r2
+
+DESCRIPTION="Movie creator from photos and video clips"
+HOMEPAGE="http://ffdiaporama.tuxfamily.org"
+SRC_URI="http://download.tuxfamily.org/${PN}/Archives/${PN}_${PV}.tar.gz
+ texturemate? ( http://download.tuxfamily.org/${PN}/Archives/ffDiaporama-texturemate_1.0.tar.gz )"
+
+LICENSE="GPL-2
+ texturemate? ( CC-BY-3.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="texturemate"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtsvg:4
+ media-gfx/exiv2
+ media-libs/libsdl[sound]
+ media-libs/qimageblitz
+ media-libs/taglib
+ >=media-video/ffmpeg-1.0:0[encode]"
+DEPEND="${RDEPEND}"
+
+DOCS=( authors.txt )
+PATCHES=( "${FILESDIR}"/${P}-ffmpeg-2.0.patch )
+
+src_unpack() {
+ # S=${WORKDIR} would result in unremoved files in
+ # ${WORKDIR}/../build
+ mkdir ${P} || die
+ cd ${P} || die
+ unpack ${A}
+}
+
+src_install() {
+ qt4-r2_src_install
+ doicon -s 32 ffdiaporama.png
+ if use texturemate; then
+ cd ffDiaporama-texturemate || die
+ ./install.sh "${D}"/usr
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
diff --git a/media-video/ffdiaporama/ffdiaporama-2.0.1.ebuild b/media-video/ffdiaporama/ffdiaporama-2.0.1.ebuild
new file mode 100644
index 00000000000..761dfc34e89
--- /dev/null
+++ b/media-video/ffdiaporama/ffdiaporama-2.0.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils fdo-mime gnome2-utils qt4-r2
+
+OPENCLI_PV=0.18
+OPENCLI_P=openclipart-${OPENCLI_PV}
+TEXTUREMATE_P=ffDiaporama-texturemate_1.0
+DESCRIPTION="Movie creator from photos and video clips"
+HOMEPAGE="http://ffdiaporama.tuxfamily.org"
+SRC_URI="http://download.tuxfamily.org/${PN}/Archives/${PN}_${PV}.tar.gz
+ openclipart? ( http://openclipart.org/downloads/${OPENCLI_PV}/${OPENCLI_P}-svgonly.tar.bz2 )
+ texturemate? ( http://download.tuxfamily.org/${PN}/Archives/${TEXTUREMATE_P}.tar.gz )"
+
+LICENSE="GPL-2
+ openclipart? ( CC0-1.0 )
+ texturemate? ( CC-BY-3.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="openclipart texturemate"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qthelp:4
+ dev-qt/qtsql:4[sqlite]
+ dev-qt/qtsvg:4
+ media-gfx/exiv2
+ media-libs/libsdl[sound]
+ media-libs/taglib
+ !<media-video/ffmpeg-1.2:0
+ virtual/ffmpeg[encode]"
+DEPEND="${RDEPEND}"
+
+DOCS=( authors.txt )
+
+S="${WORKDIR}"
+
+src_configure() {
+ eqmake4 ffDiaporama.pro
+ qt4-r2_src_configure
+}
+
+src_install() {
+ qt4-r2_src_install
+ doicon -s 32 ffdiaporama.png
+ if use openclipart; then
+ dodir /usr/share/ffDiaporama/clipart/openclipart
+ cd "${S}"/${OPENCLI_P}-svgonly/clipart || die
+ find . -type d -maxdepth 1 -not -name . -exec cp -R '{}' "${D}"/usr/share/ffDiaporama/clipart/openclipart \; || die
+ fi
+ if use texturemate; then
+ cd "${S}"/ffDiaporama-texturemate || die
+ ./install.sh "${D}"/usr
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
diff --git a/media-video/ffdiaporama/ffdiaporama-2.1.ebuild b/media-video/ffdiaporama/ffdiaporama-2.1.ebuild
new file mode 100644
index 00000000000..fcf056d0d08
--- /dev/null
+++ b/media-video/ffdiaporama/ffdiaporama-2.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils fdo-mime gnome2-utils qt4-r2
+
+BIN_PV=${PV}.2014.0209
+RSC_PV=${PV}.2014.0209
+TMT_PV=1.0.2014.0125
+OPENCLI_PV=0.18
+OPENCLI_P=openclipart-${OPENCLI_PV}
+DESCRIPTION="Movie creator from photos and video clips"
+HOMEPAGE="http://ffdiaporama.tuxfamily.org"
+SRC_URI="http://ffdiaporama.tuxfamily.org/script/GetPackage.php?f=${PN}_bin_${BIN_PV}.tar.gz -> ${PN}_bin_${BIN_PV}.tar.gz
+ http://ffdiaporama.tuxfamily.org/script/GetPackage.php?f=${PN}_rsc_${RSC_PV}.tar.gz -> ${PN}_rsc_${RSC_PV}.tar.gz
+ openclipart? ( http://openclipart.org/downloads/${OPENCLI_PV}/${OPENCLI_P}-svgonly.tar.bz2 )
+ texturemate? ( http://ffdiaporama.tuxfamily.org/script/GetPackage.php?f=${PN}_texturemate_${TMT_PV}.tar.gz -> ${PN}_texturemate_${TMT_PV}.tar.gz )"
+
+LICENSE="GPL-2
+ openclipart? ( CC0-1.0 )
+ texturemate? ( CC-BY-3.0 )"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="libav openclipart texturemate"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qthelp:4
+ dev-qt/qtsql:4[sqlite]
+ dev-qt/qtsvg:4
+ media-gfx/exiv2
+ media-libs/libsdl[sound]
+ media-libs/taglib
+ !libav? ( >media-video/ffmpeg-1.2:0=[encode] )
+ libav? ( >=media-video/libav-9:0=[encode] )"
+DEPEND="${RDEPEND}"
+
+DOCS=( authors.txt )
+PATCHES=( "${FILESDIR}"/${P}-ffmpeg-2.4.patch )
+
+S="${WORKDIR}/ffDiaporama"
+
+src_prepare() {
+ echo "SUBDIRS += ../ffDiaporama_rsc" >> ffDiaporama.pro || die
+ if use texturemate; then
+ echo "SUBDIRS += ../ffDiaporama_texturemate" >> ffDiaporama.pro || die
+ fi
+ qt4-r2_src_prepare
+}
+
+src_install() {
+ qt4-r2_src_install
+ doicon -s 32 ffdiaporama.png
+ if use openclipart; then
+ dodir /usr/share/ffDiaporama/clipart/openclipart
+ cd "${WORKDIR}"/${OPENCLI_P}-svgonly/clipart || die
+ find . -type d -maxdepth 1 -not -name . -exec cp -R '{}' "${D}"/usr/share/ffDiaporama/clipart/openclipart \; || die
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
diff --git a/media-video/ffdiaporama/files/ffdiaporama-1.6-ffmpeg-2.0.patch b/media-video/ffdiaporama/files/ffdiaporama-1.6-ffmpeg-2.0.patch
new file mode 100644
index 00000000000..6142cd5a37f
--- /dev/null
+++ b/media-video/ffdiaporama/files/ffdiaporama-1.6-ffmpeg-2.0.patch
@@ -0,0 +1,32 @@
+https://bugs.gentoo.org/show_bug.cgi?id=476530
+
+--- src/engine/cDeviceModelDef.h 2013-06-19 18:22:52.000000000 +0200
++++ src/engine/cDeviceModelDef.h 2013-07-21 14:11:48.014827071 +0200
+@@ -64,6 +64,11 @@
+ #include <libavformat/avformat.h>
+ #include <libavformat/avio.h>
+
++ #if (LIBAVCODEC_VERSION_INT>=AV_VERSION_INT(55,18,0))
++ typedef AVCodecID CodecID;
++ #define AVCODEC_MAX_AUDIO_FRAME_SIZE 192
++ #endif
++
+ #if ((LIBAVUTIL_VERSION_INT>=AV_VERSION_INT(51,73,0))&&(LIBAVCODEC_VERSION_INT>=AV_VERSION_INT(54,31,0))&&(LIBAVFORMAT_VERSION_INT>=AV_VERSION_INT(54,19,0)))
+ #define LIBAV_09
+ #if defined(USELIBAVRESAMPLE)
+
+--- src/engine/cBaseMediaFile.cpp 2013-06-19 18:22:52.000000000 +0200
++++ src/engine/cBaseMediaFile.cpp 2013-07-21 14:15:18.754228717 +0200
+@@ -2167,7 +2167,11 @@
+ }
+
+ #else
+- int Ret=av_buffersrc_add_frame(VideoFilterIn,FrameBufferYUV,0);
++ #if (LIBAVFILTER_VERSION_INT < AV_VERSION_INT(3,79,0))
++ int Ret=av_buffersrc_add_frame(VideoFilterIn,FrameBufferYUV,0);
++ #else
++ int Ret=av_buffersrc_add_frame(VideoFilterIn,FrameBufferYUV);
++ #endif
+ if (Ret<0) {
+ ToLog(LOGMSG_CRITICAL,QString("Error in cVideoFile::VideoFilter_Process : av_buffersrc_add_frame"));
+ return VC_ERROR;
diff --git a/media-video/ffdiaporama/files/ffdiaporama-2.0-libav9-deinterlacing.patch b/media-video/ffdiaporama/files/ffdiaporama-2.0-libav9-deinterlacing.patch
new file mode 100644
index 00000000000..fe07b26b6b0
--- /dev/null
+++ b/media-video/ffdiaporama/files/ffdiaporama-2.0-libav9-deinterlacing.patch
@@ -0,0 +1,26 @@
+--- src/engine/cBaseMediaFile.cpp 2013-11-23 10:44:04.586110402 +0100
++++ src/engine/cBaseMediaFile.cpp 2013-11-23 12:14:24.914285498 +0100
+@@ -2150,11 +2150,23 @@
+
+ #elif defined(LIBAV) && (LIBAVVERSIONINT<=9)
+ // LIBAV9
++ AVFilterBufferRef *m_pBufferRef=NULL;
+ int Ret=av_buffersrc_write_frame(VideoFilterIn,FrameBufferYUV);
+ if (Ret<0) {
+ ToLog(LOGMSG_CRITICAL,QString("Error in cVideoFile::VideoFilter_Process : av_buffersrc_write_frame"));
+ return VC_ERROR;
+ }
++ while ((Ret=av_buffersink_read(VideoFilterOut,&m_pBufferRef)) >= 0) {
++ if (!m_pBufferRef) return VC_ERROR; // for first frame ther is no return
++ FrameBufferYUV->interlaced_frame=m_pBufferRef->video->interlaced;
++ FrameBufferYUV->top_field_first =m_pBufferRef->video->top_field_first;
++ if (m_pBufferRef) {
++ if (FrameBufferYUV->opaque) avfilter_unref_buffer((AVFilterBufferRef *)FrameBufferYUV->opaque);
++ FrameBufferYUV->opaque=(void *)avfilter_ref_buffer(m_pBufferRef,AV_PERM_READ);
++ avfilter_unref_buffer(m_pBufferRef);
++ m_pBufferRef = NULL;
++ }
++ }
+ #else
+ // FFMPEG 1.2
+ int Ret=av_buffersrc_add_frame(VideoFilterIn,FrameBufferYUV,0);
diff --git a/media-video/ffdiaporama/files/ffdiaporama-2.1-ffmpeg-2.4.patch b/media-video/ffdiaporama/files/ffdiaporama-2.1-ffmpeg-2.4.patch
new file mode 100644
index 00000000000..7a8e664add3
--- /dev/null
+++ b/media-video/ffdiaporama/files/ffdiaporama-2.1-ffmpeg-2.4.patch
@@ -0,0 +1,16 @@
+--- src/ffDiaporama/engine/cDeviceModelDef.h 2015-02-14 10:02:12.592365100 +0100
++++ src/ffDiaporama/engine/cDeviceModelDef.h 2015-02-14 10:01:59.202463800 +0100
+@@ -84,7 +84,12 @@
+ #elif (LIBAVUTIL_VERSION_MICRO>=100)&&(LIBAVCODEC_VERSION_MICRO>=100)&&(LIBAVFORMAT_VERSION_MICRO>=100)&&(LIBAVDEVICE_VERSION_MICRO>=100)&&(LIBAVFILTER_VERSION_MICRO>=100)&&(LIBSWSCALE_VERSION_MICRO>=100)
+ #define FFMPEG
+ #include "libswresample/swresample.h"
+- #define RESAMPLE_MAX_CHANNELS SWR_CH_MAX
++ #ifdef SWR_CH_MAX
++ #define RESAMPLE_MAX_CHANNELS SWR_CH_MAX
++ #else
++ #define RESAMPLE_MAX_CHANNELS 32
++ #endif
++
+ #include "libavfilter/avcodec.h"
+ #include "libavfilter/buffersink.h"
+ #include "libavfilter/buffersrc.h"
diff --git a/media-video/ffdiaporama/metadata.xml b/media-video/ffdiaporama/metadata.xml
new file mode 100644
index 00000000000..3271eedfdbe
--- /dev/null
+++ b/media-video/ffdiaporama/metadata.xml
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>hasufell@gentoo.org</email>
+ <name>Julian Ospald</name>
+ <description>Maintainer, assign bugs to him</description>
+ </maintainer>
+ <maintainer>
+ <email>olivier.laurantin@laposte.net</email>
+ <name>Olivier Laurantin</name>
+ <description>Proxy maintainer. CC him on bugs</description>
+ </maintainer>
+ <upstream>
+ <changelog>http://ffdiaporama.tuxfamily.org/?page_id=7266&amp;lang=en</changelog>
+ <doc lang="en">http://ffdiaporama.tuxfamily.org/?page_id=6268</doc>
+ <bugs-to>http://ffdiaporama.tuxfamily.org/Forum/viewforum.php?id=4</bugs-to>
+ </upstream>
+ <longdescription lang="en">
+ffDiaporama is an application for creating video sequences consisting of
+
+ - titles, fixed or animated.
+ - images or photos, fixed or animated.
+ - movie clips
+ - music
+
+These sequences are assembled into a slide show by means of transitions to produce complete videos
+The following options are available:
+
+
+ - Reframing of images and photos
+ - Cutting of video clips
+ - Adding text, notes to images, photos, sequences and animations
+ - Graphical filters on the images and the videos (conversion into black and white, dust removal, equalization of colors, etc.)
+ - Creation of animation by zoom, rotation or Ken Burns Effect on images or photos
+ - Correction of the images and the videos during animations (luminosity, contrast, gamma, colors, etc.)
+ - Transitions between sequences with definition of the transition type, sequence by sequence.
+ - Addition of a background sound (wav, mp3 or ogg) with customizable effects for volume, fade in/out and passage in pause, sequence by sequence.
+ - Generation of videos usable on most current video equipment (DVD player/smartphone, multimedia box, hard drive, etc.) but also publishable on the main video-sharing Websites (YouTube, Dailymotion, etc.)
+ - Video formats from QVGA (320×240) to Full HD (1920×1080) by way of the DVD and HD 720 formats.
+ - Image geometry (aspect ratio) : 4:3, 16:9 or 2.35:1 (cinema)
+ - Possible formats for rendering : avi, mpg, mp4, mkv
+ </longdescription>
+ <use>
+ <flag name='openclipart'>Support openslipart database</flag>
+ <flag name='texturemate'>Install extra backgrounds</flag>
+ </use>
+</pkgmetadata>
+